# Class HighlightIcon

java.lang.Object
uk.ac.starlink.ttools.plot2.task.HighlightIcon

All Implemented Interfaces:
  `Icon`

public class HighlightIcon extends Object implements Icon
Icon used for point highlighting.

Since:
  30 Sep 2020
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final HighlightIcon`
`INSTANCE`
Standard instance.

## Constructor Summary

Constructors
Constructor
Description
`HighlightIcon(int size)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Decoration`
`createDecoration(Point2D gp)`
Creates a decoration consisting of this icon centered on a given graphics position.
`int`
`getIconHeight()`
`int`
`getIconWidth()`
`void`
`paintIcon(Component c, Graphics g, int x, int y)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final HighlightIcon INSTANCE
Standard instance.

## Constructor Details

### HighlightIcon

public HighlightIcon(int size)
Constructor.

Parameters:
  `size` - icon radius

## Method Details

### getIconWidth

public int getIconWidth()

Specified by:
  `getIconWidth` in interface `Icon`

### getIconHeight

public int getIconHeight()

Specified by:
  `getIconHeight` in interface `Icon`

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)

Specified by:
  `paintIcon` in interface `Icon`

### createDecoration

public Decoration createDecoration(Point2D gp)
Creates a decoration consisting of this icon centered on a given graphics position.

Parameters:
  `gp` - central graphics position
Returns:
  decoration